#ifndef _text

#define _text


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include <dirent.h>

#include <array.h>

#include <string.h>

#include <stdlib.h>

#include <stdio.h>


typedef struct text{

	unsigned short __classIndex;

	char * value;

	int usevalue;

	int length;

	int capacity;


} text;

int text_operator_compare( text * this, text * b );

text * text_operator_add( text * this, char * b );

void text_constructor( text * this, char * value );

char text_get( text * this, int index );

void text_resize( text * this, int size );

text * text_append( text * this, char * value );

text * text_appendBinary( text * this, char * value,  int size );

text * text_appendObject( text * this, text * object );

text * text_concatenate( text * this, char * value );

char * text_toNative( text * this );

char * text_whiteSpace( text * this, int whiteSpaceCount );

void text_free( text * this );

text text_new( char * value );

text * text_newPointer( char * value );

#endif
